/** LockBox class. User must provide appropriate secret to access.
 *  @author Josh Hug
 */

public class LockBox<Secret, Content> {
    Secret secret;
    Content contents;

    public LockBox(Secret s, Content c) {
        secret = s;
        contents = c;
    }

    public Content get(Secret s) {
        if (s == secret) 
            return contents;
        else
            throw new IllegalArgumentException("Wrong secret");
    }

    public static void main(String[] args) {
        LockBox<String, Integer> lb =
             new LockBox<String, Integer>("password",  31337);
        System.out.println(lb.get("password"));
        System.out.println(lb.get("adsfasdf"));
    }
} 